petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateAggregates

Gets the aggregates that map between grids associated with two DMs.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMCreateAggregates(DM dmc, DM dmf, Mat *rest)

Collective on DM

### Input Parameters

| dmc | - the coarse grid DM
| dmf | - the fine grid DM

### Output Parameters

rest -the restriction matrix (transpose of the projection matrix)

### Keywords

interpolation, restriction, multigrid

### See Also

DMRefine(), DMCreateInjection(), DMCreateInterpolation()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Implementations

DMCreateAggregates_DA in src/dm/impls/da/dainterp.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages